Subject: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: [email-masked]
Date: Sat, 7 Apr 2018 18:48:00 +0200

Sorry for these multiple replies.

Besides Emacs, I also have Cygwin and Msys32 installed in my Windows system. And at the beginning of my Emacs init file I have this:

(setenv "PATH" (concat "C:\\msys32\\mingw32\\bin;C:\\cygwin\\bin;C:\\cygwin\\lib;" (getenv "PATH")))
(setq exec-path (append '("C:/cygwin/bin" "C:/cygwin/lib" "C:/msys32/mingw32/bin") exec-path))

I wonder whether AUCTeX in my case is using some command from cygwin to update TEXINPUTS, and that takes care of the ";".

Do you also have cygwin on your system?

But I think that by now David has already guessed where the problem is, so I'll see what he says.

J